<!DOCTYPE html>
<html>
	<head>
		<title>RSA</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		
		<META http-equiv="content-type" content="text/html; charset=iso-8859-9"/>
		<META http-equiv="content-type" content="text/html; charset=windows-1254"/>

		<meta name="viewport" content="width=device-width, initial-scale=1">
		<script type="text/javascript" src="jquery-1.10.2.js"></script>
		<script type="text/javascript" src="calculationlib/matrixlib.js"></script>
		<script type="text/javascript" src="calculationlib/ecclib.js"></script>
		<script type="text/javascript" src="calculationlib/polynomial.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.6/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
		<!--<script type="text/javascript" src="MathJax/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>-->
		<script type="text/x-mathjax-config">
			MathJax.Hub.Config({tex2jax: {inlineMath: [['$','$'], ['\\(','\\)']]}});
			MathJax.Localization.setLocale("tr");
		</script>
		<script>
			var AddFormula = function(container, name, tex) {
				var containerSelector = $('#' + container);
				if ($('#' + name).length == 0)
					containerSelector.append("<div id='" + name + "' style='text-align:center; visibility: visible; padding:10;'>");
				else $('#' + name).html("");

				$('#' + name).append($('<script type="math/tex">').text("\\displaystyle{"+tex+"}"));
				MathJax.Hub.Queue(["Typeset",MathJax.Hub]);
			}
			var ReadMatrix = function(text) {
		
				var data = [];
				text = text.replace( /\s\s+/g, ' ' );
				var lines = text.split(/\r|\n/);
				for (var i = 0; i < lines.length; i++) {
					var lineData = [];
					var cells = lines[i].split(' ');
					for (var j = 0; j < cells.length; j++) {
						if(cells[j] != "") {
							lineData.push(parseInt(cells[j]));
						}
					}
					if (lineData.length > 0)
						data.push(lineData);
				}
				return data;
			}
		</script>
		<style>
		
		#result td {
			text-align: center;
			padding: 5px ;
			border: 1px black solid;
		}
		
		table[id=result] {
			border-collapse: collapse;
			margin-left:auto; 
			margin-right:auto;
			margin-top: 15px;
		}
		
		</style>
	
	</head>
	<body>
		<h3>RSA</h3>

		<table>
		<tr>
		<td> <b>p:</b> </td>
		<td> <input type="text" id="txtP" value="61"/> </tr>
		</tr>
		<tr>
		<td> <b>q:</b> </td>
		<td> <input type="text" id="txtQ" value="53"/> </td>
		</tr>
		<tr>
		<td> <b>s:</b> </td>
		<td> <input type="text" id="txtS" value="123"/> </td>
		</tr>
		<tr>
		<td> </td>
		<td> <input type="button" id="btnEncrpt" value="Encode" /> </td>
		</tr>
		
		</table>
		
		
		<div id="divResult"></div>
		
		
		<script type="text/javascript">
			
			var func = function gdc(a,b){
				
				
			
			};
			$(document).ready(function () {
				$("input[type='button']").click(function (e) {
					if (e.target.id == "btnEncrpt") {
					
						$("#divResult").html("");
						
						var p = parseInt($('#txtP').val());
						var q = parseInt($('#txtQ').val());
						var s = parseInt($('#txtS').val());
						
						AddFormula("divResult", "p", "p = " + p);
						$("#divResult").append("<br />");
						
						AddFormula("divResult", "q", "q = " + q);
						$("#divResult").append("<br />");
						
						AddFormula("divResult", "n", "n = p * q = " + p + " * " + q + " = " + (p*q) );
						$("#divResult").append("<br />");
						
						AddFormula("divResult", "Z", "Z = (p-1) * (q-1) = " + (p - 1) + " * " + (q-1) + " = " + ((p-1)*(q-1)) );
						$("#divResult").append("<br />");
						
						
						
					}
				});
			});
		</script>

	</body>
</html>
